pcl::Narf36 Struct Reference
Module common

A point structure representing the Narf descriptor. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

| Narf36 ()=default
| Narf36 (float _x, float _y, float _z)
| Narf36 (float _x, float _y, float _z, float _roll, float _pitch, float _yaw)

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | x = 0.f
float | y = 0.f
float | z = 0.f
float | roll = 0.f
float | pitch = 0.f
float | yaw = 0.f
float | descriptor [36] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const Narf36 &p)

## Detailed Description

A point structure representing the Narf descriptor.

Definition at line 1694 of file point_types.hpp.

## Constructor & Destructor Documentation

## Narf36() [1/3]

pcl::Narf36::Narf36 | ( |  | ) |

inline default

## Narf36() [2/3]

pcl::Narf36::Narf36 | ( | float | _x,
|  | float | _y,
|  | float | _z
| ) |  |

inline

Definition at line 1702 of file point_types.hpp.

## Narf36() [3/3]

pcl::Narf36::Narf36 | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _roll,
|  | float | _pitch,
|  | float | _yaw
| ) |  |

inline

Definition at line 1704 of file point_types.hpp.

## Member Function Documentation

## descriptorSize()

static constexpr int pcl::Narf36::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1698 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Narf36 & | p
| ) |  |

friend

## Member Data Documentation

## descriptor

float pcl::Narf36::descriptor[36] = {0.f}

Definition at line 1697 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< Narf36 >::copyToFloatArray(), and pcl::Narf::copyToNarf36().

## pitch

float pcl::Narf36::pitch = 0.f

Definition at line 1696 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

## roll

float pcl::Narf36::roll = 0.f

Definition at line 1696 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

## x

float pcl::Narf36::x = 0.f

Definition at line 1696 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

## y

float pcl::Narf36::y = 0.f

Definition at line 1696 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

## yaw

float pcl::Narf36::yaw = 0.f

Definition at line 1696 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

## z

float pcl::Narf36::z = 0.f

Definition at line 1696 of file point_types.hpp.

Referenced by pcl::Narf::copyToNarf36().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp